/**************************************************************/
/*                                                            */
/* User-Defined Functions for Zone dependent diffusivity      */
/* UDF is used for modelling fluid behaviour in a Fuel Cell   */
/* FLUENT 6.2                                                 */
/*                                                            */
/* Author: Michael Calder                                     */
/*   Date: May 207                                            */
/*                                                            */
/* Notes for the specific version                             */
/*                                                            */
/* Trying to use temeprature differences as diffusivity       */
/* parameters, and using the temperatures 299K and 300K       */
/* as reference temperatures.                                 */
/*                                                            */
/**************************************************************/


#include "udf.h"

DEFINE_DIFFUSIVITY(mc_diffusivity, c, t, i)
/* Should we use the shorter version that only includes 3 (not 4) parameters? */

{
/* The variables we need */
  float diffu;


  float temp;
  int spe;

  temp = C_T(c, t);


  spe = i;

/*  int zone_id;*/


/* left chamber */
/*	id_a = 4;*/
/* right chamber */
/*	id_b = 2;*/
/* membrane */
/*	id_c = 3;*/

/*  zone_id = THREAD_ID(t);*/

  {

/* For each zone we need to set a given diffusivity */
/* It would be even better if we could use the names of the specific zones in stead of id numbers */
/* For a later version, we might need to insert an if-statement for each species too, but at the */
/* moment it is ok just to use the same diffusivity for all species */


  if (spe = 1)
    	diffu = 0;
  else if (spe = 2 )
      diffu = 1e-9;
  else
      diffu = 0;

}
  return diffu;
}



DEFINE_DIFFUSIVITY(mc21_diffusivity, c, t, i)
/* Should we use the shorter version that only includes 3 (not 4) parameters? */

{
/* The variables we need */
  float diffu;


  float temp;
  int spe;

  temp = C_T(c, t);


  spe = i;

/*  int zone_id;*/


/* left chamber */
/*	id_a = 4;*/
/* right chamber */
/*	id_b = 2;*/
/* membrane */
/*	id_c = 3;*/

/*  zone_id = THREAD_ID(t);*/

  {

/* For each zone we need to set a given diffusivity */
/* It would be even better if we could use the names of the specific zones in stead of id numbers */
/* For a later version, we might need to insert an if-statement for each species too, but at the */
/* moment it is ok just to use the same diffusivity for all species */


  if (spe = 1)
    	diffu = 0;
  else if (spe = 2 )
      diffu = 1e-9;
  else
      diffu = 0;

}
  return diffu;
}
