;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;                                                              ;;;
;;;             FLUENT USER DEFINED MATERIAL DATABASE            ;;;
;;;                                                              ;;;
;;; (name type[fluid/solid] (chemical-formula . formula)         ;;;
;;;             (prop1 (method1a . data1a) (method1b . data1b))  ;;;
;;;            (prop2 (method2a . data2a) (method2b . data2b)))  ;;;
;;;                                                              ;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(
	(mfc-mixture mixture
		(chemical-formula . #f)
		(species (names (r1 r2 i p1 p2 s) () ()))
		(reactions (finite-rate ("anode" ((r1 1 1 1)) ((p1 1 0 1) (i 2 0 1)) ((r2 0 1) (p2 0 1) (s 0 1)) (stoichiometry 1r1 --> 1p1 + 2i) (arrhenius 9.9999997e-05 0 0) (mixing-rate 4 0.5) (use-third-body-efficiencies? . #f)) ("cathode" ((r2 0.5 0.5 1) (i 2 2 1)) ((p2 1 0 1)) ((r1 0 1) (p1 0 1) (s 0 1)) (stoichiometry 0.5r2 + 2i --> 1p2) (arrhenius 100000 0 0) (mixing-rate 4 0.5) (use-third-body-efficiencies? . #f)) ("counteract" ((r1 1 1 1) (r2 0.5 0.5 1)) ((p1 1 0 1) (p2 1 0 1)) ((i 0 1) (s 0 1)) (stoichiometry 1r1 + 0.5r2 --> 1p1 + 1p2) (arrhenius 1e-10 0 0) (mixing-rate 4 0.5) (use-third-body-efficiencies? . #f) (surface-reaction? . #t))) (eddy-dissipation ("anode" ((r1 1 1 1)) ((p1 1 0 1) (i 2 0 1)) ((r2 0 1) (p2 0 1) (s 0 1)) (stoichiometry 1r1 --> 1p1 + 2i) (arrhenius 9.9999997e-05 0 0) (mixing-rate 4 0.5) (use-third-body-efficiencies? . #f)) ("cathode" ((r2 0.5 0.5 1) (i 2 2 1)) ((p2 1 0 1)) ((r1 0 1) (p1 0 1) (s 0 1)) (stoichiometry 0.5r2 + 2i --> 1p2) (arrhenius 100000 0 0) (mixing-rate 4 0.5) (use-third-body-efficiencies? . #f)) ("counteract" ((r1 1 1 1) (r2 0.5 0.5 1)) ((p1 1 0 1) (p2 1 0 1)) ((i 0 1) (s 0 1)) (stoichiometry 1r1 + 0.5r2 --> 1p1 + 1p2) (arrhenius 1e-10 0 0) (mixing-rate 4 0.5) (use-third-body-efficiencies? . #f) (surface-reaction? . #t))) (finite-rate/eddy-dissipation ("anode" ((r1 1 1 1)) ((p1 1 0 1) (i 2 0 1)) ((r2 0 1) (p2 0 1) (s 0 1)) (stoichiometry 1r1 --> 1p1 + 2i) (arrhenius 9.9999997e-05 0 0) (mixing-rate 4 0.5) (use-third-body-efficiencies? . #f)) ("cathode" ((r2 0.5 0.5 1) (i 2 2 1)) ((p2 1 0 1)) ((r1 0 1) (p1 0 1) (s 0 1)) (stoichiometry 0.5r2 + 2i --> 1p2) (arrhenius 100000 0 0) (mixing-rate 4 0.5) (use-third-body-efficiencies? . #f)) ("counteract" ((r1 1 1 1) (r2 0.5 0.5 1)) ((p1 1 0 1) (p2 1 0 1)) ((i 0 1) (s 0 1)) (stoichiometry 1r1 + 0.5r2 --> 1p1 + 1p2) (arrhenius 1e-10 0 0) (mixing-rate 4 0.5) (use-third-body-efficiencies? . #f) (surface-reaction? . #t))))
		(reaction-mechs (reaction-mechs ("Anode" (reaction-type . volumetric) (reaction-list "anode") (site-info)) ("Cathode" (reaction-type . volumetric) (reaction-list "cathode") (site-info)) ("Anode2" (reaction-type . wall-surface) (reaction-list "anode" "counteract") (site-info))))
		(density (volume-weighted-mixing-law . #f) (incompressible-ideal-gas . #f))
		(specific-heat (mixing-law . #f))
		(thermal-conductivity (constant . 0.045400001))
		(viscosity (constant . 1.72e-05))
		(mass-diffusivity (user-defined "mfc_MW_diffusion::libudf") (constant-dilute-appx 2.88e-05))
		(therm-exp-coeff (constant . 0))
	)

	(nutrient fluid
		(chemical-formula . r1)
		(density (constant . 1278))
		(specific-heat (constant . 4182))
		(latent-heat (constant . 2263073))
		(vaporization-temperature (constant . 284))
		(boiling-point (constant . 373))
		(volatile-fraction (constant . 1))
		(binary-diffusivity (constant . 3.05e-05))
		(thermal-conductivity (constant . 0.60000002))
		(viscosity (constant . 0.001003))
		(dpm-surften (constant . 0.0719404) (polynomial piecewise-polynomial (50 641 0.0649503 0.000246819 -9.28884e-07 6.01831e-10)))
		(vapor-pressure (constant . 2658) (polynomial piecewise-linear (284 . 1329) (295 . 2658) (307 . 5316) (315 . 7974) (325 . 13289) (340 . 26579) (356 . 53158) (373 . 101000) (393 . 202000) (425 . 505000)))
		(molecular-weight (constant . 90))
		(formation-entropy (constant . 69902.211))
		(species-phase (constant . 1))
		(lennard-jones-length (constant . 0))
		(lennard-jones-energy (constant . 0))
		(therm-exp-coeff (constant . 0))
		(degrees-of-freedom (constant . 0))
		(speed-of-sound (none . #f))
		(formation-enthalpy (constant . 0))
		(reference-temperature (constant . 298.14999))
	)

	(oxygen fluid
		(chemical-formula . r2)
		(density (constant . 1.429))
		(specific-heat (constant . 4182))
		(latent-heat (constant . 2263073))
		(vaporization-temperature (constant . 284))
		(boiling-point (constant . 373))
		(volatile-fraction (constant . 1))
		(binary-diffusivity (constant . 3.05e-05))
		(thermal-conductivity (constant . 0.60000002))
		(viscosity (constant . 0.001003))
		(dpm-surften (constant . 0.0719404) (polynomial piecewise-polynomial (50 641 0.0649503 0.000246819 -9.28884e-07 6.01831e-10)))
		(vapor-pressure (constant . 2658) (polynomial piecewise-linear (284 . 1329) (295 . 2658) (307 . 5316) (315 . 7974) (325 . 13289) (340 . 26579) (356 . 53158) (373 . 101000) (393 . 202000) (425 . 505000)))
		(molecular-weight (constant . 32))
		(formation-entropy (constant . 69902.211))
		(species-phase (constant . 1))
		(lennard-jones-length (constant . 0))
		(lennard-jones-energy (constant . 0))
		(therm-exp-coeff (constant . 0))
		(degrees-of-freedom (constant . 0))
		(speed-of-sound (none . #f))
		(formation-enthalpy (constant . 0))
		(reference-temperature (constant . 298.14999))
	)

	(intermediate fluid
		(chemical-formula . i)
		(density (constant . 0.089900002))
		(specific-heat (constant . 4182))
		(latent-heat (constant . 2263073))
		(vaporization-temperature (constant . 284))
		(boiling-point (constant . 373))
		(volatile-fraction (constant . 1))
		(binary-diffusivity (constant . 3.05e-05))
		(thermal-conductivity (constant . 0.60000002))
		(viscosity (constant . 0.001003))
		(dpm-surften (constant . 0.0719404) (polynomial piecewise-polynomial (50 641 0.0649503 0.000246819 -9.28884e-07 6.01831e-10)))
		(vapor-pressure (constant . 2658) (polynomial piecewise-linear (284 . 1329) (295 . 2658) (307 . 5316) (315 . 7974) (325 . 13289) (340 . 26579) (356 . 53158) (373 . 101000) (393 . 202000) (425 . 505000)))
		(molecular-weight (constant . 1))
		(formation-entropy (constant . 69902.211))
		(species-phase (constant . 1))
		(lennard-jones-length (constant . 0))
		(lennard-jones-energy (constant . 0))
		(therm-exp-coeff (constant . 0))
		(degrees-of-freedom (constant . 0))
		(speed-of-sound (none . #f))
		(formation-enthalpy (constant . 0))
		(reference-temperature (constant . 298.14999))
	)

	(product1 fluid
		(chemical-formula . p1)
		(density (constant . 1250))
		(specific-heat (constant . 4182))
		(latent-heat (constant . 2263073))
		(vaporization-temperature (constant . 284))
		(boiling-point (constant . 373))
		(volatile-fraction (constant . 1))
		(binary-diffusivity (constant . 3.05e-05))
		(thermal-conductivity (constant . 0.60000002))
		(viscosity (constant . 0.001003))
		(dpm-surften (constant . 0.0719404) (polynomial piecewise-polynomial (50 641 0.0649503 0.000246819 -9.28884e-07 6.01831e-10)))
		(vapor-pressure (constant . 2658) (polynomial piecewise-linear (284 . 1329) (295 . 2658) (307 . 5316) (315 . 7974) (325 . 13289) (340 . 26579) (356 . 53158) (373 . 101000) (393 . 202000) (425 . 505000)))
		(molecular-weight (constant . 88))
		(formation-entropy (constant . 69902.211))
		(species-phase (constant . 1))
		(lennard-jones-length (constant . 0))
		(lennard-jones-energy (constant . 0))
		(therm-exp-coeff (constant . 0))
		(degrees-of-freedom (constant . 0))
		(speed-of-sound (none . #f))
		(formation-enthalpy (constant . 0))
		(reference-temperature (constant . 298.14999))
	)

	(product2 fluid
		(chemical-formula . p2)
		(density (constant . 998))
		(specific-heat (constant . 4182))
		(latent-heat (constant . 2263073))
		(vaporization-temperature (constant . 284))
		(boiling-point (constant . 373))
		(volatile-fraction (constant . 1))
		(binary-diffusivity (constant . 3.05e-05))
		(thermal-conductivity (constant . 0.60000002))
		(viscosity (constant . 0.001003))
		(dpm-surften (constant . 0.0719404) (polynomial piecewise-polynomial (50 641 0.0649503 0.000246819 -9.28884e-07 6.01831e-10)))
		(vapor-pressure (constant . 2658) (polynomial piecewise-linear (284 . 1329) (295 . 2658) (307 . 5316) (315 . 7974) (325 . 13289) (340 . 26579) (356 . 53158) (373 . 101000) (393 . 202000) (425 . 505000)))
		(molecular-weight (constant . 18))
		(formation-entropy (constant . 69902.211))
		(species-phase (constant . 1))
		(lennard-jones-length (constant . 0))
		(lennard-jones-energy (constant . 0))
		(therm-exp-coeff (constant . 0))
		(degrees-of-freedom (constant . 0))
		(speed-of-sound (none . #f))
		(formation-enthalpy (constant . 0))
		(reference-temperature (constant . 298.14999))
	)

	(solution fluid
		(chemical-formula . s)
		(density (constant . 998))
		(specific-heat (constant . 4182))
		(latent-heat (constant . 2263073))
		(vaporization-temperature (constant . 284))
		(boiling-point (constant . 373))
		(volatile-fraction (constant . 1))
		(binary-diffusivity (constant . 3.05e-05))
		(thermal-conductivity (constant . 0.60000002))
		(viscosity (constant . 0.001003))
		(dpm-surften (constant . 0.0719404) (polynomial piecewise-polynomial (50 641 0.0649503 0.000246819 -9.28884e-07 6.01831e-10)))
		(vapor-pressure (constant . 2658) (polynomial piecewise-linear (284 . 1329) (295 . 2658) (307 . 5316) (315 . 7974) (325 . 13289) (340 . 26579) (356 . 53158) (373 . 101000) (393 . 202000) (425 . 505000)))
		(molecular-weight (constant . 18))
		(formation-entropy (constant . 69902.211))
		(species-phase (constant . 1))
		(lennard-jones-length (constant . 0))
		(lennard-jones-energy (constant . 0))
		(therm-exp-coeff (constant . 0))
		(degrees-of-freedom (constant . 0))
		(speed-of-sound (none . #f))
		(formation-enthalpy (constant . 0))
		(reference-temperature (constant . 298.14999))
	)

	(aluminum solid
		(chemical-formula . al)
		(density (constant . 2719))
		(specific-heat (constant . 871))
		(thermal-conductivity (constant . 202.4))
		(formation-entropy (constant . 164448.08))
		(electric-conductivity (constant . 35410000))
		(magnetic-permeability (constant . 1.257e-06))
	)

)
